Skip to main content
POST
/
cards
/
{cardId}
/
details
Get card details (PAN, CVV)
curl --request POST \
  --url https://api.useproxy.ai/v1/cards/{cardId}/details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "intentId": "<string>",
  "purpose": "<string>",
  "expectedAmount": 123,
  "expectedCurrency": "<string>",
  "merchantText": "<string>",
  "reason": "<string>",
  "clientContext": {}
}
'
{
  "pan": "<string>",
  "cvv": "<string>",
  "accessEventId": "<string>",
  "expirationMonth": "<string>",
  "expirationYear": "<string>",
  "last4": "<string>",
  "effectivePolicy": {
    "requireIntent": true,
    "requireAttestation": true,
    "requireApproval": true,
    "autoApproveBelow": 123,
    "attestationWindowMinutes": 123,
    "cooldownMinutes": 123,
    "ttlMinutes": 123,
    "ttlDays": 123,
    "limits": {
      "perAuth": 123,
      "perDay": 123,
      "perMonth": 123
    },
    "allowedMccs": [
      "<string>"
    ],
    "blockedMccs": [
      "<string>"
    ],
    "allowedMerchants": [
      "<string>"
    ],
    "lockToFirstMerchant": true
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Path Parameters

cardId
string
required

Card ID (e.g., card_...)

Body

application/json
intentId
string

Intent ID to associate with this access

purpose
string

Purpose of access

expectedAmount
number

Expected amount in cents

expectedCurrency
string
merchantText
string

Expected merchant name

reason
string
clientContext
object

Response

Card details

pan
string
required

Full card number (PAN)

cvv
string
required

Card verification value

accessEventId
string

Access event ID for this retrieval

expirationMonth
string
expirationYear
string
last4
string
effectivePolicy
object

Spending policy controls